<div class="row">
    <div class="col-md-3">
        <div class="card">
            <div class="card-body">
                Generar Reporte
                <div class="row">
                    <mat-form-field appearance="fill">
                        <mat-label>Fecha Inicial</mat-label>
                        <input [max]="maxFechaInicial" matInput [matDatepicker]="pickerInit" (dateChange)="getDateStart($event)" id="date1Search">
                        <mat-datepicker-toggle matSuffix [for]="pickerInit"></mat-datepicker-toggle>
                        <mat-datepicker #pickerInit></mat-datepicker>
                    </mat-form-field>
                </div>

                <div class="row">
                    <mat-form-field appearance="fill">
                        <mat-label>Fecha Final</mat-label>
                        <input matInput [min]="minFechaInicial" [max]="fechaFinalMax" disabled="{{inputReadonly}}" [matDatepicker]="picker2" (dateChange)="getDateEnd()" id="date2Search">
                        <mat-datepicker-toggle id="pickerDate" matSuffix [for]="picker2"></mat-datepicker-toggle>
                        <mat-datepicker #picker2 [startAt]="minFechaInicial"></mat-datepicker>
                    </mat-form-field>
                </div>

                <span *ngIf="showErrorDates" style="color:red">Debes seleccionar un rango de fechas</span>

                <div class="row row-section">
                    <div class="dropdown">
                        <select class="browser-default custom-select" #selectShop (change)='onOptionsSelected(selectShop.value)'
                            name="shop" class="form-control" id="selectShop">
                            <option value="0">Selecciona un comercio </option>
                            <option value="0" *ngIf="showAllShops">Todas los comercios </option>
                            <option *ngFor="let shop of this.clients; index as i" value="{{shop['nombre']}}">
                                {{shop["nombre"]}}</option>
                        </select>
                    </div>
                </div>
                <!--
                <div class="row row-section">
                    <div class="dropdown">
                        <select class="browser-default custom-select" #offersId (change)='onOptionsSelectedOffer(offersId.value)'
                            name="nombre" class="form-control" id="selectOffer">
                            <option value="0">Selecciona una oferta </option>
                            <option value="all">Todas las ofertas </option>
                            <option  *ngFor="let offer of this.offers; index as i" value="{{offer['nombre']}}">
                                {{offer['nombre']}}</option>
                        </select>
                    </div>
                </div>-->

                <div class="row row-section">
                    <div class="dropdown">
                        <select class="browser-default custom-select" #selectTypeReport
                            name="nombre" class="form-control" id="selectTypeReport">
                            <option value="value1">Selecciona un tipo de reporte </option>
                            <option value="Vencido">Vencidos</option>
                            <option value="Fraude">Fraude</option>
                            <option value="Corriente">Corriente</option>
                        </select>
                    </div>
                </div>

                <div class="row row-section">
                    <button (click)="generateReport()" class="btn btn-primary mr-4 mt-3" >Generar</button>
                </div>
            </div>
        </div>
    </div>


    <div class="col-md-9">
        <div class="row">

            <div class="col-md-3 mb-5 mb-lg-0 mx-auto">
                <div class="card card-statistics">
                    <div class="card-body">
                        <mat-label class="label-input">Usuarios fraudulentos:</mat-label>
                        <input class="labelSta" matInput type="text" [(ngModel)]="fraudulentos" disabled>
                        <span class="percentage-label">{{percentageFraud}}%</span>
                    </div>
                </div>

            </div>
            
            <div class="col-md-3 mb-5 mb-lg-0 mx-auto">
                <div class="card card-statistics">
                    <div class="card-body">
                        <mat-label class="label-input">Usuarios vencidos:</mat-label>
                        <input class="labelSta" matInput type="text" [(ngModel)]="vencidos" disabled>
                        <span class="percentage-label">{{percentageVencido}}%</span>
                    </div>
                </div>

            </div>

            <div class="col-md-3 mb-5 mb-lg-0 mx-auto">
                <div class="card card-statistics">
                    <div class="card-body">
                        <mat-label class="label-input">Usuarios corriente:</mat-label>
                        <input class="labelSta" matInput type="text" [(ngModel)]="corriente" disabled>
                        <span class="percentage-label">{{percentageCorriente}}%</span>
                    </div>
                </div>

            </div>

            <div class="col-md-3 mb-5 mb-lg-0 mx-auto">
                <div class="card card-statistics">
                    <div class="card-body">
                        <mat-label class="label-input">Total de usuarios:</mat-label>
                        <input class="labelSta" matInput type="text" [(ngModel)]="totalUsers" disabled>
                    </div>
                </div>

            </div>
        </div>

        <div class="row">

            <div class="col-md-4 mb-5 mb-lg-0 mx-auto">
                <div class="card card-statistics">
                    <div class="card-body">
                        <mat-label class="label-input">Importe transaccionado:</mat-label>
                        <input class="labelSta" matInput type="text" [(ngModel)]="amountCorriente" disabled>
                    </div>
                </div>

            </div>
            
            <div class="col-md-4 mb-5 mb-lg-0 mx-auto">
                <div class="card card-statistics">
                    <div class="card-body">
                        <mat-label class="label-input">Importe cartera vencida:</mat-label>
                        <input class="labelSta" matInput type="text" [(ngModel)]="amountVencido" disabled>
                    </div>
                </div>

            </div>

            <div class="col-md-4 mb-5 mb-lg-0 mx-auto">
                <div class="card card-statistics">
                    <div class="card-body">
                        <mat-label class="label-input">Importe fraude:</mat-label>
                        <input class="labelSta" matInput type="text" [(ngModel)]="amountFraude" disabled>
                    </div>
                </div>

            </div>
        </div>

        <div class="row row-section text-right">
            <div class="col-md-12">
                <button (click)="exportAsXLSX()" mat-raised-button color="primary"><i class="fa fa-download" aria-hidden="true"></i>Exportar</button>
            </div>
        </div>

        <div class="row row-section">

                    <div class="col-md-12">
                        <table id="dtResultReport" class="table table-striped table-bordered table-sm">
                            <thead>
                            <tr>
                              <th scope="col">#</th>
                              <th scope="col">Fecha de aprobación</th>
                              <th scope="col">Correo</th>
                              <th scope="col">Comercio</th>
                              <th scope="col">Fecha de reporte</th>
                              <th scope="col">Importe trans</th>
                              <th scope="col">Importe fraude</th>
                              <th scope="col">Importe vencido</th>
                              <th scope="col">Estatus</th>
                            </tr>
                            </thead>
                            <tbody>

                            </tbody>
                        </table>
                    </div>
                </div>
        
    </div>

</div>
